#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(__tracepoint_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_conn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_eh, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_session, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_session, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_tcp, "_gpl", "");
KSYMTAB_DATA(__tracepoint_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(__traceiter_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_iscsi_dbg_sw_tcp, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_lookup_endpoint, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_ipaddress_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_router_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_iface, "_gpl", "");
KSYMTAB_FUNC(iscsi_flashnode_bus_match, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_find_flashnode_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_flashnode_sess, "_gpl", "");
KSYMTAB_FUNC(iscsi_destroy_all_flashnode, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_chkready, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_online, "_gpl", "");
KSYMTAB_FUNC(iscsi_is_session_dev, "_gpl", "");
KSYMTAB_FUNC(iscsi_host_for_each_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_scsi_eh, "_gpl", "");
KSYMTAB_FUNC(iscsi_unblock_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_block_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_create_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_force_destroy_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_free_session, "_gpl", "");
KSYMTAB_FUNC(iscsi_alloc_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_add_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_remove_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_put_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_conn, "_gpl", "");
KSYMTAB_FUNC(iscsi_recv_pdu, "_gpl", "");
KSYMTAB_FUNC(iscsi_offload_mesg, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_error_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_conn_login_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_post_host_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_ping_comp_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_session_event, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_discovery_parent_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_speed_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_get_port_state_name, "_gpl", "");
KSYMTAB_FUNC(iscsi_register_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(iscsi_dbg_trace, "_gpl", "");

SYMBOL_CRC(__tracepoint_iscsi_dbg_conn, 0x363ef721, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_conn, 0xf667fc2b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_conn, 0x71b768b0, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_eh, 0xda09b986, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_eh, 0x193ef995, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_eh, 0xe4c79fa6, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_session, 0xc6264e7a, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_session, 0x9fe8b44b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_session, 0x584a31ab, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_tcp, 0xb32662a6, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_tcp, 0x7311c7e4, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_tcp, 0x88768c48, "_gpl");
SYMBOL_CRC(__tracepoint_iscsi_dbg_sw_tcp, 0xa3ac06cf, "_gpl");
SYMBOL_CRC(__traceiter_iscsi_dbg_sw_tcp, 0x1f2fcc49, "_gpl");
SYMBOL_CRC(__SCK__tp_func_iscsi_dbg_sw_tcp, 0xab4674c8, "_gpl");
SYMBOL_CRC(iscsi_create_endpoint, 0xee154255, "_gpl");
SYMBOL_CRC(iscsi_destroy_endpoint, 0x785fc24c, "_gpl");
SYMBOL_CRC(iscsi_put_endpoint, 0xfa7685b5, "_gpl");
SYMBOL_CRC(iscsi_lookup_endpoint, 0x6e0db31b, "_gpl");
SYMBOL_CRC(iscsi_get_ipaddress_state_name, 0xbc071179, "_gpl");
SYMBOL_CRC(iscsi_get_router_state_name, 0x84a005f1, "_gpl");
SYMBOL_CRC(iscsi_create_iface, 0x1bef007f, "_gpl");
SYMBOL_CRC(iscsi_destroy_iface, 0x3b0b8e3b, "_gpl");
SYMBOL_CRC(iscsi_flashnode_bus_match, 0xc1cf8999, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_sess, 0x1106d035, "_gpl");
SYMBOL_CRC(iscsi_create_flashnode_conn, 0x556d5a0e, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_sess, 0xe4a507b7, "_gpl");
SYMBOL_CRC(iscsi_find_flashnode_conn, 0xb6fd3381, "_gpl");
SYMBOL_CRC(iscsi_destroy_flashnode_sess, 0xfa5a0a1d, "_gpl");
SYMBOL_CRC(iscsi_destroy_all_flashnode, 0xa670f1f1, "_gpl");
SYMBOL_CRC(iscsi_session_chkready, 0x82048ae6, "_gpl");
SYMBOL_CRC(iscsi_is_session_online, 0x259f7be7, "_gpl");
SYMBOL_CRC(iscsi_is_session_dev, 0x7bee2a5c, "_gpl");
SYMBOL_CRC(iscsi_host_for_each_session, 0x8eb2b84b, "_gpl");
SYMBOL_CRC(iscsi_block_scsi_eh, 0x7c353ce4, "_gpl");
SYMBOL_CRC(iscsi_unblock_session, 0x211b56e4, "_gpl");
SYMBOL_CRC(iscsi_block_session, 0x89cdac16, "_gpl");
SYMBOL_CRC(iscsi_alloc_session, 0x94fe1e1c, "_gpl");
SYMBOL_CRC(iscsi_add_session, 0x1aa775d1, "_gpl");
SYMBOL_CRC(iscsi_create_session, 0x320cc54b, "_gpl");
SYMBOL_CRC(iscsi_remove_session, 0x8ca27e54, "_gpl");
SYMBOL_CRC(iscsi_force_destroy_session, 0x74e2fe76, "_gpl");
SYMBOL_CRC(iscsi_free_session, 0x946ae3df, "_gpl");
SYMBOL_CRC(iscsi_alloc_conn, 0x16f2838d, "_gpl");
SYMBOL_CRC(iscsi_add_conn, 0x16b8b3bc, "_gpl");
SYMBOL_CRC(iscsi_remove_conn, 0xd346ef46, "_gpl");
SYMBOL_CRC(iscsi_put_conn, 0x6c86a321, "_gpl");
SYMBOL_CRC(iscsi_get_conn, 0x01c2c914, "_gpl");
SYMBOL_CRC(iscsi_recv_pdu, 0xdd64bfde, "_gpl");
SYMBOL_CRC(iscsi_offload_mesg, 0xd6254e8a, "_gpl");
SYMBOL_CRC(iscsi_conn_error_event, 0xbebfbd8d, "_gpl");
SYMBOL_CRC(iscsi_conn_login_event, 0xbae6df1c, "_gpl");
SYMBOL_CRC(iscsi_post_host_event, 0xb1adc9fe, "_gpl");
SYMBOL_CRC(iscsi_ping_comp_event, 0x4e2fcf1d, "_gpl");
SYMBOL_CRC(iscsi_session_event, 0x0cd68820, "_gpl");
SYMBOL_CRC(iscsi_get_discovery_parent_name, 0x699fe53e, "_gpl");
SYMBOL_CRC(iscsi_get_port_speed_name, 0xcc0fe603, "_gpl");
SYMBOL_CRC(iscsi_get_port_state_name, 0xb74ddac9, "_gpl");
SYMBOL_CRC(iscsi_register_transport, 0x24780f14, "_gpl");
SYMBOL_CRC(iscsi_unregister_transport, 0x64a4fcf7, "_gpl");
SYMBOL_CRC(iscsi_dbg_trace, 0x80570bde, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x98cf60b3, "strlen" },
	{ 0x148653, "vsnprintf" },
	{ 0x5daf5af3, "trace_event_buffer_reserve" },
	{ 0xe914e41e, "strcpy" },
	{ 0x3fd52e54, "trace_event_buffer_commit" },
	{ 0x98e46228, "__trace_trigger_soft_disabled" },
	{ 0x472332ef, "trace_raw_output_prep" },
	{ 0xba41d078, "trace_event_printf" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2b404962, "bpf_trace_run2" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x7665a95b, "idr_remove" },
	{ 0xe16b094c, "put_device" },
	{ 0x198f1f90, "device_unregister" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xb343023e, "sysfs_remove_group" },
	{ 0x20978fb9, "idr_find" },
	{ 0xe127bd74, "get_device" },
	{ 0x4ff4233d, "device_find_child" },
	{ 0x2fad8d7b, "device_for_each_child" },
	{ 0x122c3a7e, "_printk" },
	{ 0xf7370f56, "system_state" },
	{ 0xf9a482f9, "msleep" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6cbbc89, "capable" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x8dea14ab, "scsi_target_unblock" },
	{ 0xdba5c481, "_dev_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xae95b8ce, "netlink_kernel_release" },
	{ 0xcf6d508, "bus_unregister" },
	{ 0xe760122c, "transport_class_unregister" },
	{ 0x4e604434, "class_unregister" },
	{ 0xdcb764ad, "memset" },
	{ 0xe66692e3, "class_register" },
	{ 0xd19c96de, "transport_class_register" },
	{ 0xf654265e, "bus_register" },
	{ 0x215e000a, "init_net" },
	{ 0x423e8b0, "__netlink_kernel_create" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d158c1a, "scsi_is_host_device" },
	{ 0xacbf06f9, "scsi_scan_target" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x4a567be9, "scsi_host_get" },
	{ 0x69811386, "device_initialize" },
	{ 0x15961654, "device_add" },
	{ 0xfe8054fd, "transport_setup_device" },
	{ 0xa0b272c4, "transport_add_device" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbec5f8d9, "transport_destroy_device" },
	{ 0xa21e5f9c, "device_del" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x3d3f430, "transport_remove_device" },
	{ 0x4f5df2cc, "attribute_container_unregister" },
	{ 0x57d674d4, "bsg_remove_queue" },
	{ 0x5fe15db4, "scsi_host_put" },
	{ 0x7a2af7b4, "cpu_number" },
	{ 0x7bcf5f59, "__cpu_online_mask" },
	{ 0xf70e4a4d, "preempt_schedule_notrace" },
	{ 0x2d2c902f, "perf_trace_buf_alloc" },
	{ 0x192943fe, "perf_trace_run_bpf_submit" },
	{ 0xee86dc03, "scsi_block_targets" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x54457215, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf58ff57, "bsg_setup_queue" },
	{ 0x4eb02e4e, "__scsi_init_queue" },
	{ 0xbeea74eb, "__alloc_skb" },
	{ 0xe04f0377, "__nlmsg_put" },
	{ 0x4a9c058d, "netlink_broadcast" },
	{ 0xa3d1d07e, "kfree_skb_reason" },
	{ 0xed635c12, "scsi_remove_target" },
	{ 0xffb7c514, "ida_free" },
	{ 0xaedc350b, "dev_set_name" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x4829a47e, "memcpy" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0x6ff8de95, "device_register" },
	{ 0x159575be, "sysfs_create_group" },
	{ 0xc2ce3f1f, "attribute_container_register" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0x8bb0266e, "netlink_capable" },
	{ 0x95d1a860, "try_module_get" },
	{ 0xcd1f47a2, "module_put" },
	{ 0xb1d2f58f, "netlink_unicast" },
	{ 0x6c86c0ae, "skb_pull" },
	{ 0xe78dd294, "scsi_host_lookup" },
	{ 0x64b6d9d6, "skb_trim" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x116f02f4, "trace_event_reg" },
	{ 0x5363fbb8, "trace_event_raw_init" },
	{ 0xe64db987, "param_ops_int" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "29E682DBE647E8F842F1344");
